package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.DataCatelog;
import com.lightinit.hsdataportal.entity.DataCatelogExample;
import com.lightinit.hsdataportal.entity.DataCatelogWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DataCatelogMapper {
    long countByExample(DataCatelogExample example);

    int deleteByExample(DataCatelogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DataCatelogWithBLOBs record);

    int insertSelective(DataCatelogWithBLOBs record);

    List<DataCatelogWithBLOBs> selectByExampleWithBLOBs(DataCatelogExample example);

    List<DataCatelog> selectByExample(DataCatelogExample example);

    DataCatelogWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DataCatelogWithBLOBs record, @Param("example") DataCatelogExample example);

    int updateByExampleWithBLOBs(@Param("record") DataCatelogWithBLOBs record, @Param("example") DataCatelogExample example);

    int updateByExample(@Param("record") DataCatelog record, @Param("example") DataCatelogExample example);

    int updateByPrimaryKeySelective(DataCatelogWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(DataCatelogWithBLOBs record);

    int updateByPrimaryKey(DataCatelog record);
}